import lume from "lume/mod.ts";
import minifyHTML from "lume/plugins/minify_html.ts";
import imagick from "lume/plugins/imagick.ts";
import inline from "lume/plugins/inline.ts";
import jsx_preact from "lume/plugins/jsx_preact.ts";
import lightningcss from "lume/plugins/lightningcss.ts";
import sass from "lume/plugins/sass.ts";
import sitemap from "lume/plugins/sitemap.ts";
import sourceMaps from "lume/plugins/source_maps.ts";


const site = lume({
	src: "./src",
	dest: "./dist",
});

site
	.use(sitemap())
	.use(jsx_preact())
	.use(imagick())
	.use(sass())
	.use(lightningcss())
	.use(inline())
	.use(minifyHTML())
	.use(sourceMaps());

export default site;
